Skip to content
Start here

Generate the Letter of Authorization (LOA) for a given interconnect

client.networkInterconnects.interconnects.loa(stringicon, InterconnectLOAParams { account_id } params, RequestOptionsoptions?): void
GET/accounts/{account_id}/cni/interconnects/{icon}/loa

Generate the Letter of Authorization (LOA) for a given interconnect

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
icon: string
params: InterconnectLOAParams { account_id }
account_id: string

Customer account tag

Generate the Letter of Authorization (LOA) for a given interconnect

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.networkInterconnects.interconnects.loa('icon', { account_id: 'account_id' });
Returns Examples